aagc.vo

## Class SetPianoTerapeuticoRequest

- java.lang.Object
- - aagc.vo.SetPianoTerapeuticoRequest

-     public class SetPianoTerapeuticoRequest
      extends java.lang.Object

  Classe Java per setPianoTerapeuticoRequest complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="setPianoTerapeuticoRequest">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="dataRedazionePiano">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataDecorrenza">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codTipoPianoTeapeutico">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}int">
                     <pattern value="0|1"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="assistitoPianoTerapeutico" type="{http://www.nsisr.puglia.it/Schemas/}assistibilePianoTerapeuticoRequest"/>
               <element name="dataDiagnosiPiano" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?"/>
                     <maxLength value="10"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="descDiagnosiPiano" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[a-zA-Z0-9]+"/>
                     <maxLength value="1000"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceFiscalePrescrittorePiano">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="([a-zA-Z]{6}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{3}[a-zA-Z]{1}|[0-9]{11})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="strutturaEmittente">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="12"/>
                     <pattern value="[0-9]{8}[A-Z0-9]{2}[0-9]{2}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="numGiorniDurata">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}int">
                     <pattern value="[0-9]{1,3}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="numMesiDurata">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}int">
                     <pattern value="(0|0?[1-9]|1[012])?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="prestazionePianoTerapeutico" type="{http://www.nsisr.puglia.it/Schemas/}setPrestazionePianoTerapeuticoRequest"/>
               <element name="documentoPianoTerap" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AssistibilePianoTerapeuticoRequest` | `assistitoPianoTerapeutico`
    `protected java.lang.String` | `codiceFiscalePrescrittorePiano`
    `protected int` | `codTipoPianoTeapeutico`
    `protected java.lang.String` | `dataDecorrenza`
    `protected java.lang.String` | `dataDiagnosiPiano`
    `protected java.lang.String` | `dataRedazionePiano`
    `protected java.lang.String` | `descDiagnosiPiano`
    `protected java.lang.String` | `documentoPianoTerap`
    `protected int` | `numGiorniDurata`
    `protected int` | `numMesiDurata`
    `protected SetPrestazionePianoTerapeuticoRequest` | `prestazionePianoTerapeutico`
    `protected java.lang.String` | `strutturaEmittente`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetPianoTerapeuticoRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AssistibilePianoTerapeuticoRequest` | `getAssistitoPianoTerapeutico()` Recupera il valore della proprietà assistitoPianoTerapeutico.
    `java.lang.String` | `getCodiceFiscalePrescrittorePiano()` Recupera il valore della proprietà codiceFiscalePrescrittorePiano.
    `int` | `getCodTipoPianoTeapeutico()` Recupera il valore della proprietà codTipoPianoTeapeutico.
    `java.lang.String` | `getDataDecorrenza()` Recupera il valore della proprietà dataDecorrenza.
    `java.lang.String` | `getDataDiagnosiPiano()` Recupera il valore della proprietà dataDiagnosiPiano.
    `java.lang.String` | `getDataRedazionePiano()` Recupera il valore della proprietà dataRedazionePiano.
    `java.lang.String` | `getDescDiagnosiPiano()` Recupera il valore della proprietà descDiagnosiPiano.
    `java.lang.String` | `getDocumentoPianoTerap()` Recupera il valore della proprietà documentoPianoTerap.
    `int` | `getNumGiorniDurata()` Recupera il valore della proprietà numGiorniDurata.
    `int` | `getNumMesiDurata()` Recupera il valore della proprietà numMesiDurata.
    `SetPrestazionePianoTerapeuticoRequest` | `getPrestazionePianoTerapeutico()` Recupera il valore della proprietà prestazionePianoTerapeutico.
    `java.lang.String` | `getStrutturaEmittente()` Recupera il valore della proprietà strutturaEmittente.
    `void` | `setAssistitoPianoTerapeutico(AssistibilePianoTerapeuticoRequest value)` Imposta il valore della proprietà assistitoPianoTerapeutico.
    `void` | `setCodiceFiscalePrescrittorePiano(java.lang.String value)` Imposta il valore della proprietà codiceFiscalePrescrittorePiano.
    `void` | `setCodTipoPianoTeapeutico(int value)` Imposta il valore della proprietà codTipoPianoTeapeutico.
    `void` | `setDataDecorrenza(java.lang.String value)` Imposta il valore della proprietà dataDecorrenza.
    `void` | `setDataDiagnosiPiano(java.lang.String value)` Imposta il valore della proprietà dataDiagnosiPiano.
    `void` | `setDataRedazionePiano(java.lang.String value)` Imposta il valore della proprietà dataRedazionePiano.
    `void` | `setDescDiagnosiPiano(java.lang.String value)` Imposta il valore della proprietà descDiagnosiPiano.
    `void` | `setDocumentoPianoTerap(java.lang.String value)` Imposta il valore della proprietà documentoPianoTerap.
    `void` | `setNumGiorniDurata(int value)` Imposta il valore della proprietà numGiorniDurata.
    `void` | `setNumMesiDurata(int value)` Imposta il valore della proprietà numMesiDurata.
    `void` | `setPrestazionePianoTerapeutico(SetPrestazionePianoTerapeuticoRequest value)` Imposta il valore della proprietà prestazionePianoTerapeutico.
    `void` | `setStrutturaEmittente(java.lang.String value)` Imposta il valore della proprietà strutturaEmittente.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dataRedazionePiano

          protected java.lang.String dataRedazionePiano

    - #### dataDecorrenza

          protected java.lang.String dataDecorrenza

    - #### codTipoPianoTeapeutico

          protected int codTipoPianoTeapeutico

    - #### assistitoPianoTerapeutico

          protected AssistibilePianoTerapeuticoRequest assistitoPianoTerapeutico

    - #### dataDiagnosiPiano

          protected java.lang.String dataDiagnosiPiano

    - #### descDiagnosiPiano

          protected java.lang.String descDiagnosiPiano

    - #### codiceFiscalePrescrittorePiano

          protected java.lang.String codiceFiscalePrescrittorePiano

    - #### strutturaEmittente

          protected java.lang.String strutturaEmittente

    - #### numGiorniDurata

          protected int numGiorniDurata

    - #### numMesiDurata

          protected int numMesiDurata

    - #### prestazionePianoTerapeutico

          protected SetPrestazionePianoTerapeuticoRequest prestazionePianoTerapeutico

    - #### documentoPianoTerap

          protected java.lang.String documentoPianoTerap

  - ### Constructor Detail

    - #### SetPianoTerapeuticoRequest

          public SetPianoTerapeuticoRequest()

  - ### Method Detail

    - #### getDataRedazionePiano

          public java.lang.String getDataRedazionePiano()

      Recupera il valore della proprietà dataRedazionePiano.
      Returns:
        possible object is `String`

    - #### setDataRedazionePiano

          public void setDataRedazionePiano(java.lang.String value)

      Imposta il valore della proprietà dataRedazionePiano.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataDecorrenza

          public java.lang.String getDataDecorrenza()

      Recupera il valore della proprietà dataDecorrenza.
      Returns:
        possible object is `String`

    - #### setDataDecorrenza

          public void setDataDecorrenza(java.lang.String value)

      Imposta il valore della proprietà dataDecorrenza.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodTipoPianoTeapeutico

          public int getCodTipoPianoTeapeutico()

      Recupera il valore della proprietà codTipoPianoTeapeutico.

    - #### setCodTipoPianoTeapeutico

          public void setCodTipoPianoTeapeutico(int value)

      Imposta il valore della proprietà codTipoPianoTeapeutico.

    - #### getAssistitoPianoTerapeutico

          public AssistibilePianoTerapeuticoRequest getAssistitoPianoTerapeutico()

      Recupera il valore della proprietà assistitoPianoTerapeutico.
      Returns:
        possible object is `AssistibilePianoTerapeuticoRequest`

    - #### setAssistitoPianoTerapeutico

          public void setAssistitoPianoTerapeutico(AssistibilePianoTerapeuticoRequest value)

      Imposta il valore della proprietà assistitoPianoTerapeutico.
      Parameters:
        `value` - allowed object is `AssistibilePianoTerapeuticoRequest`

    - #### getDataDiagnosiPiano

          public java.lang.String getDataDiagnosiPiano()

      Recupera il valore della proprietà dataDiagnosiPiano.
      Returns:
        possible object is `String`

    - #### setDataDiagnosiPiano

          public void setDataDiagnosiPiano(java.lang.String value)

      Imposta il valore della proprietà dataDiagnosiPiano.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescDiagnosiPiano

          public java.lang.String getDescDiagnosiPiano()

      Recupera il valore della proprietà descDiagnosiPiano.
      Returns:
        possible object is `String`

    - #### setDescDiagnosiPiano

          public void setDescDiagnosiPiano(java.lang.String value)

      Imposta il valore della proprietà descDiagnosiPiano.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceFiscalePrescrittorePiano

          public java.lang.String getCodiceFiscalePrescrittorePiano()

      Recupera il valore della proprietà codiceFiscalePrescrittorePiano.
      Returns:
        possible object is `String`

    - #### setCodiceFiscalePrescrittorePiano

          public void setCodiceFiscalePrescrittorePiano(java.lang.String value)

      Imposta il valore della proprietà codiceFiscalePrescrittorePiano.
      Parameters:
        `value` - allowed object is `String`

    - #### getStrutturaEmittente

          public java.lang.String getStrutturaEmittente()

      Recupera il valore della proprietà strutturaEmittente.
      Returns:
        possible object is `String`

    - #### setStrutturaEmittente

          public void setStrutturaEmittente(java.lang.String value)

      Imposta il valore della proprietà strutturaEmittente.
      Parameters:
        `value` - allowed object is `String`

    - #### getNumGiorniDurata

          public int getNumGiorniDurata()

      Recupera il valore della proprietà numGiorniDurata.

    - #### setNumGiorniDurata

          public void setNumGiorniDurata(int value)

      Imposta il valore della proprietà numGiorniDurata.

    - #### getNumMesiDurata

          public int getNumMesiDurata()

      Recupera il valore della proprietà numMesiDurata.

    - #### setNumMesiDurata

          public void setNumMesiDurata(int value)

      Imposta il valore della proprietà numMesiDurata.

    - #### getPrestazionePianoTerapeutico

          public SetPrestazionePianoTerapeuticoRequest getPrestazionePianoTerapeutico()

      Recupera il valore della proprietà prestazionePianoTerapeutico.
      Returns:
        possible object is `SetPrestazionePianoTerapeuticoRequest`

    - #### setPrestazionePianoTerapeutico

          public void setPrestazionePianoTerapeutico(SetPrestazionePianoTerapeuticoRequest value)

      Imposta il valore della proprietà prestazionePianoTerapeutico.
      Parameters:
        `value` - allowed object is `SetPrestazionePianoTerapeuticoRequest`

    - #### getDocumentoPianoTerap

          public java.lang.String getDocumentoPianoTerap()

      Recupera il valore della proprietà documentoPianoTerap.
      Returns:
        possible object is `String`

    - #### setDocumentoPianoTerap

          public void setDocumentoPianoTerap(java.lang.String value)

      Imposta il valore della proprietà documentoPianoTerap.
      Parameters:
        `value` - allowed object is `String`